# DO NOT DELETE: Beginning of Haskell dependencies
libraries/array/dist-install/build/Data/Array.o : libraries/array/Data/Array.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array.hi  : %hi: %o  libraries/array/Data/Array.hs))
libraries/array/dist-install/build/Data/Array.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/array/dist-install/build/Data/Array.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/array/dist-install/build/Data/Array.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/array/Data/Array/Base.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Base.hi  : %hi: %o  libraries/array/Data/Array/Base.hs))
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/IOArray.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/IO.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Word.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Int.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Stable.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Ptr.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Base.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/ST.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Data/Char.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Foreign/StablePtr.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Foreign/C/Types.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Control/Monad/ST/Lazy.hi
libraries/array/dist-install/build/Data/Array/Base.o : libraries/base/dist-install/build/Control/Monad/ST/Lazy.hi
libraries/array/dist-install/build/Data/Array/IArray.o : libraries/array/Data/Array/IArray.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/IArray.hi  : %hi: %o  libraries/array/Data/Array/IArray.hs))
libraries/array/dist-install/build/Data/Array/IArray.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/IArray.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/IArray.o : libraries/array/dist-install/build/Data/Array.hi
libraries/array/dist-install/build/Data/Array/IArray.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/array/Data/Array/IO/Internals.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/IO/Internals.hi  : %hi: %o  libraries/array/Data/Array/IO/Internals.hs))
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/GHC/IOArray.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Foreign/StablePtr.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Foreign/Ptr.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Control/Monad/ST.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Data/Word.hi
libraries/array/dist-install/build/Data/Array/IO/Internals.o : libraries/base/dist-install/build/Data/Int.hi
libraries/array/dist-install/build/Data/Array/MArray.o : libraries/array/Data/Array/MArray.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/MArray.hi  : %hi: %o  libraries/array/Data/Array/MArray.hs))
libraries/array/dist-install/build/Data/Array/MArray.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/MArray.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/MArray.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/array/Data/Array/IO.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/IO.hi  : %hi: %o  libraries/array/Data/Array/IO.hs))
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/GHC/IO/Exception.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/GHC/IO/Handle.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/Foreign/C.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/Foreign.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/base/dist-install/build/System/IO/Error.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/array/dist-install/build/Data/Array/MArray.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/array/dist-install/build/Data/Array/IO/Internals.hi
libraries/array/dist-install/build/Data/Array/IO.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/MArray/Safe.o : libraries/array/Data/Array/MArray/Safe.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/MArray/Safe.hi  : %hi: %o  libraries/array/Data/Array/MArray/Safe.hs))
libraries/array/dist-install/build/Data/Array/MArray/Safe.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/MArray/Safe.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/MArray/Safe.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/array/dist-install/build/Data/Array/IO/Safe.o : libraries/array/Data/Array/IO/Safe.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/IO/Safe.hi  : %hi: %o  libraries/array/Data/Array/IO/Safe.hs))
libraries/array/dist-install/build/Data/Array/IO/Safe.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/IO/Safe.o : libraries/array/dist-install/build/Data/Array/MArray/Safe.hi
libraries/array/dist-install/build/Data/Array/IO/Safe.o : libraries/array/dist-install/build/Data/Array/IO.hi
libraries/array/dist-install/build/Data/Array/ST.o : libraries/array/Data/Array/ST.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/ST.hi  : %hi: %o  libraries/array/Data/Array/ST.hs))
libraries/array/dist-install/build/Data/Array/ST.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/ST.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/array/dist-install/build/Data/Array/ST.o : libraries/base/dist-install/build/Control/Monad/ST.hi
libraries/array/dist-install/build/Data/Array/ST.o : libraries/array/dist-install/build/Data/Array/MArray.hi
libraries/array/dist-install/build/Data/Array/ST.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/ST/Safe.o : libraries/array/Data/Array/ST/Safe.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/ST/Safe.hi  : %hi: %o  libraries/array/Data/Array/ST/Safe.hs))
libraries/array/dist-install/build/Data/Array/ST/Safe.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/ST/Safe.o : libraries/array/dist-install/build/Data/Array/MArray/Safe.hi
libraries/array/dist-install/build/Data/Array/ST/Safe.o : libraries/array/dist-install/build/Data/Array/ST.hi
libraries/array/dist-install/build/Data/Array/Storable/Internals.o : libraries/array/Data/Array/Storable/Internals.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Storable/Internals.hi  : %hi: %o  libraries/array/Data/Array/Storable/Internals.hs))
libraries/array/dist-install/build/Data/Array/Storable/Internals.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Storable/Internals.o : libraries/base/dist-install/build/Foreign.hi
libraries/array/dist-install/build/Data/Array/Storable/Internals.o : libraries/array/dist-install/build/Data/Array/MArray.hi
libraries/array/dist-install/build/Data/Array/Storable/Internals.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/Storable.o : libraries/array/Data/Array/Storable.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Storable.hi  : %hi: %o  libraries/array/Data/Array/Storable.hs))
libraries/array/dist-install/build/Data/Array/Storable.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Storable.o : libraries/array/dist-install/build/Data/Array/Storable/Internals.hi
libraries/array/dist-install/build/Data/Array/Storable.o : libraries/array/dist-install/build/Data/Array/MArray.hi
libraries/array/dist-install/build/Data/Array/Storable/Safe.o : libraries/array/Data/Array/Storable/Safe.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Storable/Safe.hi  : %hi: %o  libraries/array/Data/Array/Storable/Safe.hs))
libraries/array/dist-install/build/Data/Array/Storable/Safe.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Storable/Safe.o : libraries/array/dist-install/build/Data/Array/Storable/Internals.hi
libraries/array/dist-install/build/Data/Array/Storable/Safe.o : libraries/array/dist-install/build/Data/Array/MArray/Safe.hi
libraries/array/dist-install/build/Data/Array/Unboxed.o : libraries/array/Data/Array/Unboxed.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Unboxed.hi  : %hi: %o  libraries/array/Data/Array/Unboxed.hs))
libraries/array/dist-install/build/Data/Array/Unboxed.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Unboxed.o : libraries/array/dist-install/build/Data/Array/IArray.hi
libraries/array/dist-install/build/Data/Array/Unboxed.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/array/dist-install/build/Data/Array/Unsafe.o : libraries/array/Data/Array/Unsafe.hs
$(eval $(call hi-rule,libraries/array/dist-install/build/Data/Array/Unsafe.hi  : %hi: %o  libraries/array/Data/Array/Unsafe.hs))
libraries/array/dist-install/build/Data/Array/Unsafe.o : libraries/base/dist-install/build/Prelude.hi
libraries/array/dist-install/build/Data/Array/Unsafe.o : libraries/array/dist-install/build/Data/Array/Storable/Internals.hi
libraries/array/dist-install/build/Data/Array/Unsafe.o : libraries/array/dist-install/build/Data/Array/IO/Internals.hi
libraries/array/dist-install/build/Data/Array/Unsafe.o : libraries/array/dist-install/build/Data/Array/Base.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/array_dist-install_depfile_haskell_EXISTS = YES
